<mat-toolbar class="navbar" color="primary">
  <button mat-raised-button color="primary" [routerLinkActive]="['active']" [routerLinkActiveOptions]="{exact:true}" [routerLink]="['/']">advise.me</button>

  <button mat-raised-button color="primary" id="myServicesButton" *ngIf="authService.loggedIn()" [matMenuTriggerFor]="myServices">
    My services <mat-icon>more_vert</mat-icon>
  </button>

  <mat-menu  xPosition="before" yPosition="below" #myServices="matMenu" [overlapTrigger]="false">
    <button mat-menu-item *ngIf="authService.loggedIn()" [routerLinkActive]="['active']" [routerLinkActiveOptions]="{exact:true}" [routerLink]="['/route']">
      <mat-icon>directions_boat</mat-icon> Calculate a route
    </button>
    <button mat-menu-item *ngIf="authService.loggedIn()" [routerLinkActive]="['active']" [routerLinkActiveOptions]="{exact:true}" [routerLink]="['/live']">
      <mat-icon>error</mat-icon> Live alerts
    </button>
  </mat-menu>


  <button *ngIf="authService.loggedIn()" mat-raised-button color="primary" id="messagesButton" [routerLinkActive]="['active']" [routerLinkActiveOptions]="{exact:true}" [routerLink]="['/chat']">
    Messages
  </button>

  <button id="settingsButton" *ngIf="authService.loggedIn()" mat-icon-button [mat-menu-trigger-for]="menu">
    <mat-icon>settings</mat-icon>
  </button>

  <mat-menu  xPosition="before" yPosition="below" #menu="matMenu" [overlapTrigger]="false">
    <button mat-menu-item *ngIf="authService.loggedIn()" [routerLinkActive]="['active']" [routerLinkActiveOptions]="{exact:true}" [routerLink]="['/profile']">
      <mat-icon>person</mat-icon> Profile
    </button>
    <button mat-menu-item *ngIf="authService.loggedIn()" (click)="onLogoutClick()" href="#">
        <mat-icon>power_settings_new</mat-icon> Logout
    </button>
  </mat-menu>

</mat-toolbar>
